MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022953Community[OCCT] OCCT:Foundation Classespublic2012-01-31 14:022012-04-16 12:47
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022953: strcat expects null-terminated destination string
DescriptionThe problem is in line 182 in OSD_Host.cxx:

char noaddress[100];
strcat(noaddress,"NO-ETHERNET-ADDRESS-AVAILABLE-ON-");

Solution: use strcpy instead of strcat.

strcpy (noaddress, "NO-ETHERNET-ADDRESS-AVAILABLE-ON-");
TagsNo tags attached.
Test case numbertest case is not required
Attached Files

- Relationships

-  Notes
(0019340)
abv (manager)
2012-02-02 08:34

Please remove all the stuff related to getting ethernet address on ancient platforms (search for "Ethernet"). The ones I find are: file Standard_Geteth.cxx, files ethernet.h-* in OSD, method EthernetAddress in OSD::Host, and related static stuff in the cxx file.
(0019564)
dbv (developer)
2012-02-15 10:55

Stuff related to getting Ethernet address on ancient platforms has been removed:
1. file src/Standard/Standard_Geteth.cxx
2. files src/OSD/ethernet.h-*
3. method EthernetAddress in OSD::Host and related static stuff in the file src/OSD/OSD_Host.cxx

Branch http://svn/svn/occt/branches/OCC22953 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019566)
abv (manager)
2012-02-15 12:08

No remarks, please test
(0019597)
aan (tester)
2012-02-16 13:04

Dear BugMaster,
Workbench aan-22953-occt was created from SVN branch http://svn/svn/occt/branches/OCC22953 [^]
(and aan-22953-products from trunk) and compiled on Linux platform.

There are not regressions in aan-22953-products regarding to KAS:dev:products-20120210-opt

See results in /QADisk/occttests/results/KAS/dev/aan-22953-products_15022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019612)
bugmaster (administrator)
2012-02-17 11:59

Integrated into trunk of occt repository

Date: 2012-02-17 11:58:20 +0400 (Fri, 17 Feb 2012)
New Revision: 10495

Removed:
   trunk/src/OSD/ethernet.h-dec
   trunk/src/OSD/ethernet.h-sgi
   trunk/src/Standard/Standard_Geteth.cxx
Modified:
   trunk/src/OSD/FILES
   trunk/src/OSD/OSD_Host.cdl
   trunk/src/OSD/OSD_Host.cxx
   trunk/src/Standard/FILES
(0020396)
Pawel (developer)
2012-04-16 12:47

Verified. Please close.

- Related Changesets
occt: master f78c0415
Timestamp: 2012-02-17 07:58:20
Author: Pawel, DBV
Committer: bugmaster
Details ] Diff ]
0022953: strcat expects null-terminated destination string
rm - src/OSD/ethernet.h-dec Diff ] File ]
rm - src/OSD/ethernet.h-sgi Diff ] File ]
mod - src/OSD/FILES Diff ] File ]
mod - src/OSD/OSD_Host.cdl Diff ] File ]
mod - src/OSD/OSD_Host.cxx Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
rm - src/Standard/Standard_Geteth.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-31 14:02 Pawel New Issue
2012-01-31 14:02 Pawel Assigned To => abv
2012-02-02 08:34 abv Note Added: 0019340
2012-02-02 08:34 abv Assigned To abv => dbv
2012-02-02 08:34 abv Status new => assigned
2012-02-02 11:32 atp Summary strcat expects null-terminated ddestinatino string => strcat expects null-terminated destination string
2012-02-15 10:55 dbv Note Added: 0019564
2012-02-15 10:55 dbv Assigned To dbv => abv
2012-02-15 10:55 dbv Status assigned => resolved
2012-02-15 12:08 abv Note Added: 0019566
2012-02-15 12:08 abv Assigned To abv => dbv
2012-02-15 12:08 abv Status resolved => reviewed
2012-02-15 13:41 mkv Assigned To dbv => aan
2012-02-16 12:39 aan Test case number => test case is not required
2012-02-16 13:04 aan Note Added: 0019597
2012-02-16 13:04 aan Status reviewed => tested
2012-02-17 11:59 bugmaster Assigned To aan => Pawel
2012-02-17 11:59 bugmaster Target Version => 6.5.3
2012-02-17 11:59 bugmaster Note Added: 0019612
2012-02-17 11:59 bugmaster Status tested => verified
2012-02-17 11:59 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master f78c0415
2012-04-16 12:47 Pawel Assigned To Pawel => bugmaster
2012-04-16 12:47 Pawel Note Added: 0020396


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker